CognitiveX Docs
API

POST /api/url/suggestions/{memory_id}/conflict/keep-old

Conflict Keep Old

POST /api/url/suggestions/{memory_id}/conflict/keep-old

Conflict Keep Old

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
memory_idpathstringYes-
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
existing_memory_idstringYes-

Example request

curl -X POST https://api.cognitivx.io/api/url/suggestions/{memory_id}/conflict/keep-old \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "existing_memory_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }'

Example response

200 application/json

{}

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.